Package org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

# Interface ISubtaskSheet

All Superinterfaces:
  `Cloneable`, `org.eclipse.jface.dialogs.IDialogPage`

public interface ISubtaskSheet extends Cloneable, org.eclipse.jface.dialogs.IDialogPage

## Method Summary

Modifier and Type
Method
Description
`boolean`
`attachPopup(String popupID)`
Attaches specified popup.
`boolean`
`detachPopup()`
Forces the popup dialogue detached.
`String`
`getNodePath()`
Returns the node path of subtask sheet
`Object`
`onHide()`
Called just before the UI for the subtask is disposed, it will be used by the wizard.
`void`
`onShow(Object context, Object wizard)`
Called just before the UI for this Subtask is shown.
`void`
`setIndex(int index)`
`void`
`setNodePath(String nodePath)`
`void`
`setParentTask(ITask parentTask)`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

## Method Details

### onShow

void onShow(Object context, Object wizard)
Called just before the UI for this Subtask is shown. Intended for the UI to prepare itself by processing the context passed in. The context will depend on the wizard.

Parameters:
  `context` - The context in which the Subtask UI will be shown. Its content depend on individual wizards but it WILL be an instance of IWizardContext. The Object type has been used to avoid adding a dependency on the new UI plug-ins.
  `wizard` - The wizard container instance. It WILL be an instance of WizardBase. The Object type has been used to avoid adding a dependency on the new UI plug-ins.

### onHide

Object onHide()
Called just before the UI for the subtask is disposed, it will be used by the wizard. The context returned should contain the complete updated context for the wizard. This context should be usable as is and should not require any additional processing before use.

Returns:
  complete context for the wizard with all updates that result from operations performed as part of this task. This MUST be an instanceof IWizardContext! The Object type has been used to avoid adding a dependency on the new UI plug-ins.

### setIndex

void setIndex(int index)

### setParentTask

void setParentTask(ITask parentTask)

### setNodePath

void setNodePath(String nodePath)

### getNodePath

String getNodePath()
Returns the node path of subtask sheet

Since:
  2.3

### attachPopup

boolean attachPopup(String popupID)
Attaches specified popup. If task-level popup is null or not existent in current subtask, to open subtask-level popup. If subtask-level popup is still null, do nothing.

Parameters:
  `popupID` - task-level popup key which is registered in the subtask.
Returns:
  whether the popup is attached successfully.
Since:
  2.1

### detachPopup

boolean detachPopup()
Forces the popup dialogue detached.

Returns:
  detach result
Since:
  2.1